Bug 1121107 - rubygem-coveralls not providing rubygem(coveralls)
Summary: rubygem-coveralls not providing rubygem(coveralls)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-coveralls
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 11:25 UTC by Steve Traylen
Modified: 2014-11-30 19:16 UTC (History)
2 users (show)

Fixed In Version: rubygem-coveralls-0.7.0-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-29 02:07:08 UTC


Attachments (Terms of Use)

Description Steve Traylen 2014-07-18 11:25:17 UTC
Description of problem:


Version-Release number of selected component (if applicable):

rubygem-rspec-2.14.1-1.fc20.noarch


How reproducible:

trivial

Steps to Reproduce:


$ rpm -q rubygem-coveralls && rpm -q --provides rubygem-coveralls
rubygem-coveralls-0.7.0-3.fc20.noarch
rubygem-coveralls = 0.7.0-3.fc20


Actual results:

rubygem-coveralls-0.7.0-3.fc20.noarch
rubygem-coveralls = 0.7.0-3.fc20

Expected results:

rubygem-coveralls-0.7.0-3.fc20.noarch
rubygem-coveralls = 0.7.0-3.fc20


Additional info:

I expect you want something like:


%if 0%{?fc19} || 0%{?fc20} || 0%{?el6} || 0%{?el7}
Provides: rubygem(%{gem_name}) = %{version}
%endif

in .spec file. The autoprovision is only added  in fc21.

Comment 1 Steve Traylen 2014-07-18 11:26:02 UTC
Expected result should have been:

rubygem-coveralls-0.7.0-3.fc20.noarch
rubygem-coveralls = 0.7.0-3.fc20
rubygem(coveralls) = 0.7.0

Comment 2 Fedora Update System 2014-07-18 20:50:56 UTC
rubygem-coveralls-0.7.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-coveralls-0.7.0-4.fc20

Comment 3 Fedora Update System 2014-07-20 03:23:58 UTC
Package rubygem-coveralls-0.7.0-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-coveralls-0.7.0-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8548/rubygem-coveralls-0.7.0-4.fc20
then log in and leave karma (feedback).

Comment 4 lnie 2014-07-21 02:54:10 UTC
rubygem-coveralls-0.7.0-4.fc20 works

Comment 5 Fedora Update System 2014-07-29 02:07:08 UTC
rubygem-coveralls-0.7.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-11-12 14:36:08 UTC
rubygem-coveralls-0.7.0-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rubygem-coveralls-0.7.0-4.el7

Comment 7 Fedora Update System 2014-11-30 19:16:58 UTC
rubygem-coveralls-0.7.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.